# CSS Extensions (WebKit)

WebKit browsers support a number of extensions to CSS. These properties are prefixed with -webkit-.

The following table lists some of these CSS extensions:

Property Name / Description
-webkit-border-radius Sets the rounding of the corners of the element
-webkit-border-radius-topleft Sets the rounding of the top-left corner of the element
-webkit-border-radius-topright Sets the rounding of the top-right corner of the element
-webkit-border-radius-bottomright Sets the rounding of the bottom-right corner of the element
-webkit-border-radius-bottomleft Sets the rounding of the top-right corner of the element
-webkit-transform Allows modification of the coordinate space of the CSS visual formatting model. By modifying it, elements can be translated, rotated, scaled, and skewed.
-webkit-transform-origin Allows modification of the origin for transformations of an element.
-webkit-transition A shorthand property for -webkit-transition-property, -webkit-transition-duration, -webkit-transition-timing-function, and -webkit-transition-delay.
-webkit-transition-delay Specifies the number of seconds a transition animation should take to complete.
-webkit-transition-duration Specifies the number of seconds to wait between a change being requested to a property that is to be transitioned and the start of the transition effect.
-webkit-transition-property Specifies the names of CSS properties to which a transition effect should be applied.
-webkit-transition-timing-function Used to describe how the intermediate values of the CSS properties being affected by a transition effect are calculated.
-webkit-user-drag Specifies whether the element is draggable
-webkit-user-modify Specifies which part of the contents of an element can be modified by the user
-webkit-user-select Specifies whether the text of the element can be selected